#include <File_Archiver.h>

FileArchiver::FileArchiver(std::string dest){
	this->dest = dest;
	this->myfile = new std::ofstream(dest, std::ios::binary);
}

FileArchiver::FileArchiver(){ // @suppress("Class members should be properly initialized")
	this->dest = std::string("tmp");
	this->myfile = new std::ofstream(dest, std::ios::binary);
}

int FileArchiver::write(BasePacket & pack){
	myfile->write((char*)pack.getBufferPtr(), pack.getPacketSize());
	return 1;
}

int FileArchiver::write(BasePacket & pack, std::string dest){ // TODO testare se null pointer
	std::ofstream(dest, std::ios::binary).write((char*)pack.getBufferPtr(), pack.getPacketSize());
	return 1;
}


int FileArchiver::open(){
	this->myfile = new std::ofstream(getDest().append(".raw").c_str(), std::ios::binary);
	return 1;
}

int FileArchiver::close(){
	myfile->close();
	return 1;
}

std::string FileArchiver::getDest(){return dest;}

void FileArchiver::setDest(std::string dest){
	this->dest = dest;
	delete myfile;
	this->myfile = new std::ofstream(dest, std::ios::binary);
}
