/*
 *
 *  Created on: Mar 1, 2021
 *      Author: astrisw
 */

#ifndef FILEARCHIVER_H_
#define FILEARCHIVER_H_

#include <fstream>
#include <Base_Archiver.h>


class FileArchiver : public BaseArchiver{
private:
	std::ofstream *myfile;
public:
	FileArchiver(std::string dest);
	FileArchiver();
	int write(BasePacket  &);
	int write(BasePacket  &, std::string dest);
	int close();
	int open();
	void setDest(std::string);
	std::string getDest();
	~FileArchiver(){
		delete myfile;
	}

};

#endif /* FILEARCHIVER_H_ */
